Draft Ajuster ou prolonger

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Trimex and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Draft Offset.svg Décalage
Page suivante : Étirer Draft Stretch.svg Arrow-right.svg

Draft Trimex.svg Draft Ajuster ou prolonger

Emplacement du menu
Modification → Ajuste ou Prolonge
Ateliers
Draft, Arch
Raccourci par défaut
T R
Introduit dans la version
-
Voir aussi
Part Extrusion

Description

La commande Draft Trimex.svg Draft Ajuster ou prolonger ajuste ou prolonge un objet sélectionné. Les intersections avec le bord d'un autre objet peuvent être utilisées pour déterminer de nouveaux points d'extrémité. La commande peut également être utilisée pour une extrusion d'une face, auquel cas elle crée un objet Part Extrusion.

Draft trimex example.jpg

En haut : une Draft polyligne étendue puis ajustée. En bas : une face extrudée dans un corps solide.

Ajuste ou prolonge

Utilisation

  1. Sélectionnez un objet. L'objet doit être une Draft Ligne, une Draft Polyligne, un Draft Arc ou un Draft Cercle (qui ne peuvent être que rognés). Si l'objet sélectionné est fermé, sa propriété DonnéesMake Face doit être définie sur false.
  2. Il existe plusieurs façons d'invoquer la commande :
    • Appuyez sur le Draft Trimex.svg Ajuste ou Prolonge.
    • Sélectionnez l'option Modification → Draft Trimex.svg Ajuste ou Prolonge dans le menu.
    • Utilisez le raccourci clavier : T puis R.
  3. Si vous n'avez pas encore sélectionné d'objet : sélectionnez un objet dans la Vue 3D.
  4. Le panneau de tâches Ajuste ou Prolonge s'ouvre. Voir Options pour plus d'informations.
  5. Déplacez le pointeur dans la Vue 3D de sorte que l'aperçu corresponde au résultat souhaité. Si nécessaire, utilisez les touches de modification comme expliqué dans la section Options.
  6. Effectuez l'une des opérations suivantes :
    • Choisissez un point dans la Vue 3D.
    • Saisissez une Distance ou un Angle. La distance est une distance relative. Cette option ne fonctionne pas si des touches modificatrices sont utilisées.
    • Déplacez le pointeur sur une arête appartenant à un autre objet, et cliquez lorsque cette arête est mise en évidence, pour découper ou étendre l'objet sélectionné en utilisant une intersection avec l'arête mise en évidence comme nouveau point d'arrivée. Notez que Draft Aimantation peut avoir un impact indésirable ici. Dans certains cas, il peut être nécessaire de les désactiver temporairement.

Options

Le raccourci clavier à caractère unique et les touches de modification mentionnées ici peuvent être modifiés. Voir Draft Préférences.

  • La solution ayant la plus grande longueur détermine la direction par défaut de la commande. Maintenez Alt pour inverser ce sens.
  • Maintenez la touche Shift enfoncée pour limiter l'opération au segment en cours d'une Draft Polyligne.
  • Appuyez sur S pour activer ou désactiver Draft Aimantation.

Voici un exemple pour expliquer les touches de modification. Le bord gauche ou le bord inférieur du polyligne en U a été prolongé. Toutes les Draft Aimantations ont été désactivées.

Draft Trimex example2.png

  1. L'arc a été cliqué près du coin inférieur gauche de la polyligne. C'est le comportement par défaut.
  2. Alt a été maintenu enfoncé pendant que l'arc était cliqué près du coin inférieur gauche de la polyligne.
  3. Y est appuyée, et en survolant le bord gauche, vous maintenez la touche Shift enfoncée, puis vous cliquez sur l'arc. Il n'est nécessaire d'appuyer sur Y que pour les arêtes qui sont plus ou moins parallèles à l'axe des Y.

Extrusion

Utilisation

Voir aussi : Draft Aimantation et Draft Contrainte.

  1. Il peut être utile de modifier d'abord le Draft Plan de travail pour qu'il ne soit pas coplanaire avec la face que vous voulez extruder.
  2. Optionnellement, sélectionnez une seule face ou un objet avec une seule face.
  3. Il existe plusieurs façons de lancer la commande :
  4. Si vous n'avez pas encore sélectionné un objet ou une face : sélectionnez un objet avec une seule face dans la Vue 3D.
  5. Le panneau de tâches Ajuste ou Prolonge s'ouvre. Voir Options pour plus d'informations.
  6. Pour définir la direction et la distance d'extrusion, effectuez l'une des opérations suivantes :
    • Choisissez un point dans la Vue 3D qui ne se trouve pas sur le même plan que la face.
    • Assurez-vous que le pointeur se trouve du bon côté de la face dans la Vue 3D et entrez une Distance.

Options

Les touches de modification mentionnées ici peuvent être modifiées. Voir Draft Préférences.

  • Maintenez Shift pour extruder dans une direction qui n'est pas parallèle à la normale de la face.

Préférences

Voir aussi : Réglage des préférences et Draft Préférences.

  • Pour modifier le nombre de décimales utilisées pour la saisie de la distance : Édition → Préférences... → Général → Unités → Réglage des unités → Nombre de décimales.

Script

Voir aussi : Autogenerated API documentation et Débuter avec les scripts FreeCAD.

Il n'existe pas de méthode Python pour extruder des objets. Pour extruder des objets, utilisez la méthode extrude du module Draft.

extrusion = extrude(obj, vector, solid=False)
  • obj est l'objet à extruder.
  • vector est la direction et la distance d'extrusion.
  • Si solid est True, un solide est créé au lieu d'une coquille.
  • extrusion est retourné avec l'objet créé.

Exemple :

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()


Arrow-left.svg Page précédente : Draft Offset.svg Décalage
Page suivante : Étirer Draft Stretch.svg Arrow-right.svg